Page MenuHomePhabricator

Convert EventLogging to use extension registration
Closed, ResolvedPublic

Description

The EventLogging extension needs to be converted to use the new extension registration system. More details are available on T87875.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 29 2015, 7:32 PM
kevinator set Security to None.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 18 2015, 10:45 AM

Hey @Legoktm, do you know if anyone is doing this or should we try?

Milimetric triaged this task as Normal priority.Feb 11 2016, 6:18 PM
Milimetric moved this task from Incoming to Modern Event Platform on the Analytics board.

Go for it :)

I have no idea how to do it :) but is it urgent?

Change 300045 had a related patch set uploaded (by Reedy):
Move remaining hooks to EventLoggingHooks.php

https://gerrit.wikimedia.org/r/300045

Change 300045 merged by jenkins-bot:
Move remaining hooks to EventLoggingHooks.php

https://gerrit.wikimedia.org/r/300045

Change 301185 had a related patch set uploaded (by Reedy):
Convert EventLogging to extension registration

https://gerrit.wikimedia.org/r/301185

Change 301185 abandoned by Reedy:
Convert EventLogging to extension registration

Reason:
Dragged the other one up to date

https://gerrit.wikimedia.org/r/301185

Reedy assigned this task to Tgr.Aug 5 2016, 11:32 PM